"search" form should have "all projects” and "my projects™
2010-05-13 21:01 - Alex Last
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

default search form located on every redmine page does not have "all projects" and "my projects" items in the drop-down:
no_all_projects_item.PNG

the only way | see to search in all projects is to execute the search in 1 project only to get to this form, which does include what |
need, then select "all" in the dropdown and repeat the same search:
all_projects.PNG

this looks very confusing, so | mark this as "usability defect" rather than "new feature request".

please, enable cross-project search in the main search form. this can be achieved by adding "all projects”" and "my projects” to the
form.

Related issues:

Related to Redmine - Defect #980: "For all projects” custom queries New 2008-04-03
Related to Redmine - Feature #23310: Improved "jump to project"” drop-down Closed
History

#1 - 2010-08-08 17:39 - Jean-Baptiste Barth
- Priority changed from High to Normal

Are you suggesting we add these 2 items in the jump box but they don't lead anywhere if we click on them ? They're just here for searching purposes
? It may be more confusing no ?

Plus, cross-project search are already enabled : as soon as you're not inside a project, "Jump to a project..." is displayed in the jump menu, and the
search is performed on all visible projects.

#2 - 2010-08-11 20:03 - Alex Last

- File jira_projects_navigation.png added

The current interface is confusing. It's not obvious how to search among all projects. | know | need to go "outside" of a project, but this is
inconvenient.

one of the options would be to add another "search in projects: all/proj1/proj2/...." drop-down with the projects list to the right of "search field". by
default it can have the current project selected.

"Jump to project" dropdown definitely does not belong to its current location. it's shown right next to the "search field" and users assume this is where
the search will be performed.

I'd rather have some other Ul element for projects navigation. | like how it's done in Jira:
in this design it's obvious that the project navigation selection
e has nothing to do with search
e does not belong to a particular project as it is the top-level element shown outside of the project area

#3 - 2012-05-16 15:08 - Stéphane Gourichon

+1
The current interface is confusing. It's not obvious how to search among all projects. | know | need to go "outside" of a project, but this is
inconvenient.

| observed exatcly the same.

Plus, every time | show Redmine to someone | have to explain that search is limited depending on the currently displayed project. Else people come
to me and say that the search engine is broken somehow because they can't find items they put in.

| second Alexey's comment that current Ul mixes two functions, which makes things not clear. If you don't know what these Ul elements mean, you
won't figure out easily.

#4 - 2012-05-16 15:26 - Etienne Massip
- Category set to Ul

- Target version set to Candidate for next major release

#5 - 2013-11-22 15:42 - dj jones

- File search-improvement-3.png added

Is this a quick, sensible solution:

Theory: the difference in the URL called between 'search in this project' and 'search in all projects' is very small
e | just added '&scope=all' to the former: and it searches as the latter!

Proposal:
In the page top right, change the page as per attached before / after screenshot.

le seperate the 'search’ field and and the 'projects' field: to allow putting 'All' check box between them: if ticked: in JS we add the above URL suffix to
the search URL.

Very simple to do, and a big improvement!

#6 - 2014-01-15 18:27 - Daniele Pedroni

+1, an "all projects" option in "Jump to a project.." drop down menu is just as useful as simple, | think.
| hope it could be released as suggested by dj jones also in the next minor release...

#7 - 2014-06-11 14:44 - Gian Luca

+1 also for me!

#8 - 2017-01-15 03:35 - Go MAEDA
- Related to Feature #23310: Improved "jump to project” drop-down added

#9 - 2017-01-15 03:36 - Go MAEDA
Daniele Pedroni wrote:
+1, an "all projects" option in "Jump to a project.." drop down menu is just as useful as simple, | think.

Implemented in r16172 for Redmine 3.4.0, as a part of #23310.
Can | close this issue?

all-projects-link.png
#10 - 2017-01-29 04:55 - Go MAEDA
- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Fixed
https://www.redmine.org/projects/redmine/repository/svn/revisions/16172
https://www.redmine.org/issues/23310

Implemented in r16172.

Redmine 3.4.0 has "All projects" in "Jump to project” drop down.
